Search found 248 matches

by josh
Thu Apr 25, 2024 9:27 am
Forum: SW General
Topic: Fun Errors in Solidworks
Replies: 30
Views: 2483

Re: Fun Errors in Solidworks

Not sure if this one's been posted yet:
image.png
image.png (18.16 KiB) Viewed 175 times
by josh
Mon Apr 15, 2024 9:21 pm
Forum: API
Topic: Find touching face in a multi-body part
Replies: 9
Views: 552

Re: Find touching face in a multi-body part

I think splitting the body in such a way as to create identical faces is a requirement of this function as he's going to be offsetting sketch entities from the separated faces to create this mating glue joint. If you split this body at the joint between "blocks" then the offset thing would...
by josh
Sun Apr 14, 2024 9:06 am
Forum: API
Topic: Find touching face in a multi-body part
Replies: 9
Views: 552

Re: Find touching face in a multi-body part

I would use the user-selected point on the first face (make sure you use GetClosestPointOn with the values from GetSelectionPoint), along with its face normal, as inputs to RayIntersections. If the two faces are still coincident, you might have to offset your start point coordinates backward along t...
by josh
Wed Apr 10, 2024 9:05 pm
Forum: API
Topic: SOLIDWORKS API Developer - Contract Work
Replies: 1
Views: 297

Re: SOLIDWORKS API Developer - Contract Work

I'd love to work with you, Amen, but my skillset is definitely lacking in 2 of the 4 non-negotiables. :-D Definitely wish you luck in your search though.
by josh
Tue Apr 09, 2024 11:53 am
Forum: Macro Library
Topic: DXF/DWG Model View Export
Replies: 15
Views: 897

Re: DXF/DWG Model View Export

Code from example with tweaks made: Option Explicit Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swPart As SldWorks.PartDoc Dim sModelName As String Dim sPathName As String Dim varAlignment As Variant Dim dataAlignment(11) As Double Dim varViews As Variant Dim dataViews(0) As...
by josh
Tue Apr 09, 2024 11:52 am
Forum: Macro Library
Topic: DXF/DWG Model View Export
Replies: 15
Views: 897

Re: DXF/DWG Model View Export

The VBA example for ExportToDWG2 already does exactly what you want with just a few tiny modifications.

https://help.solidworks.com/2024/englis ... ple_VB.htm
by josh
Wed Apr 03, 2024 12:22 pm
Forum: SW General
Topic: WTF is going on here ?
Replies: 33
Views: 1603

Re: WTF is going on here ?

You need to understand the difference between Features and Components.
image.png
by josh
Fri Mar 29, 2024 2:39 pm
Forum: SW General
Topic: WTF is going on here ?
Replies: 33
Views: 1603

Re: WTF is going on here ?

You might be able to accomplish that by switching the plane through a couple of intermediate planes... But why? Just edit the sketch text and hit the button to flip it. The 2 reasons why to somehow "rotate" or "flip" the whole sketch around (so the text doesn't look mirrored) wou...
by josh
Fri Mar 29, 2024 10:22 am
Forum: SW General
Topic: WTF is going on here ?
Replies: 33
Views: 1603

Re: WTF is going on here ?

Pernils wrote: Fri Mar 29, 2024 7:10 am I assume this is not a regression during version bumping so they must have intentionally left this implementation in an broken state.
*sigh* just because you don't understand it doesn't mean it's broken. Changing the sketch plane has never reversed the sketch normal. Because it shouldn't.
by josh
Thu Mar 28, 2024 5:33 pm
Forum: SW General
Topic: WTF is going on here ?
Replies: 33
Views: 1603

Re: WTF is going on here ?

Changing the sketch plane does NOT change the orientation of the sketch. It just changes the location of the sketch in space. Sketch text is just sketch entities. In order to read left-to-right on the opposite side of the part, the sketch would have to be rotated 180 degrees in addition to moving to...
by josh
Thu Mar 28, 2024 5:26 pm
Forum: How To Questions
Topic: Recommendations on how to model this part
Replies: 17
Views: 954

Re: Recommendations on how to model this part

The only place you can "transition" from a helix to a flat is directly along a radial line. Any line that is not exactly a radial line cannot have a transition from a true helix to a true flat without a step. Anything you bodge together with surfaces may sorta look like a helix, but it won...
by josh
Thu Mar 21, 2024 12:27 pm
Forum: How To Questions
Topic: How to find the version of the SLDPart file?
Replies: 21
Views: 908

Re: How to find the version of the SLDPart file?

File Proporties shows version in the details tab, not sure if it will show EDU This is basically the same functionality as the Javelin link above for showing the info in a column of Windows Explorer... Only works with SW installed, only shows "Future version" if newer than installed versi...
by josh
Wed Mar 20, 2024 10:40 am
Forum: How To Questions
Topic: How to find the version of the SLDPart file?
Replies: 21
Views: 908

Re: How to find the version of the SLDPart file?

https://www.javelin-tech.com/blog/2019/07/display-solidworks-file-version-in-windows-explorer/ Just a little additional tidbit regarding this solution.... If the file was last saved with a version higher than currently installed, Explorer will only report last saved with "Future Version".
by josh
Tue Mar 19, 2024 5:14 pm
Forum: SW General
Topic: Copied sheet and ballons
Replies: 11
Views: 491

Re: Copied sheet and ballons

How do you link a BOM to multiple configurations? I only see a drop down list that allows you to select a single configuration. image.png Change BOM type to Top Level Only or Indented and you can choose multiple configs. Each config gets its own qty column. I don't have any idea why this is not ava...
by josh
Sun Mar 17, 2024 8:00 pm
Forum: SolidWorks FAQ
Topic: bom list configuration equals active reference model config
Replies: 5
Views: 608

Re: bom list configuration equals active reference model config

LOL, that is what I said. There is NO LINK TO THE VIEW. There is never any link to the view. The BOM is linked TO THE CONFIGURATION (that happens to currrently be shown in the view). The ONLY thing clicking on a view does during BOM configuration is tell the BOM which model and configuration to link...
by josh
Wed Mar 13, 2024 8:18 pm
Forum: SolidWorks FAQ
Topic: bom list configuration equals active reference model config
Replies: 5
Views: 608

Re: bom list configuration equals active reference model config

No, you cannot link the BOM displayed configuration to a view. Of course, when you create a BOM, you have to specify a model view that it will be based on. However, this is only a one-time initialization. The BOM will link to the configuration currently shown in that view, but there's no link to the...
by josh
Tue Mar 12, 2024 6:31 pm
Forum: API
Topic: sketch selection and view orientation
Replies: 2
Views: 254

Re: sketch selection and view orientation

Since you're actually wanting to select all entities, and the sketch is currently active, why not just use RunCommand with the swCommands_Edit_Select_All argument? Same result as hitting Ctrl-A on the keyboard.
by josh
Wed Feb 07, 2024 7:42 am
Forum: API
Topic: Macro for Renaming all Sketches
Replies: 8
Views: 422

Re: Macro for Renaming all Sketches

How would it work when sketches are shared?
by josh
Mon Feb 05, 2024 5:11 pm
Forum: SW General
Topic: Printer settings
Replies: 10
Views: 619

Re: Printer settings

Ummmm...... Scaling: None is the same thing as 100% scale. If it wasn't the same, what in the world would Scaling: None mean?
by josh
Mon Feb 05, 2024 11:11 am
Forum: SW General
Topic: Multi-body part to assembly
Replies: 18
Views: 925

Re: Multi-body part to assembly

Wait.... All you wanted was a model to fit in your shop? Why the heck would you go through the trouble of making an assembly?
by josh
Fri Feb 02, 2024 5:31 pm
Forum: How To Questions
Topic: Determine the tolerance used to create an existing fit spline (bonus points for fit deviation)
Replies: 7
Views: 873

Re: Determine the tolerance used to create an existing fit spline (bonus points for fit deviation)

Verification on Rebuild does not affect sketch solving. It does more advanced body integrity checking to see which faces of the model should be affected by a feature. Ctrl+b vs q would not have any effect on this one either. In this case, the tree only contained three sketches. Sketch 2 certainly re...
by josh
Thu Feb 01, 2024 2:00 pm
Forum: SW General
Topic: setting the pitch of a helical sweep
Replies: 3
Views: 725

Re: setting the pitch of a helical sweep

You'll probably need to create an equation to set the twist value (currently 21600°) to be driven by the sum of the lengths of the path segments.
by josh
Wed Jan 31, 2024 11:38 am
Forum: How To Questions
Topic: Determine the tolerance used to create an existing fit spline (bonus points for fit deviation)
Replies: 7
Views: 873

Re: Determine the tolerance used to create an existing fit spline (bonus points for fit deviation)

I’m not so sure it stores the tolerance. I think it’s just a parameter for how much detail it puts into creating the spline. To test this, I created a sketch with some lines and arcs, then created a new sketch with a fit spline based on that sketch, using a tolerance of 0.01. Then I went back and ed...
by josh
Tue Jan 30, 2024 6:58 pm
Forum: API
Topic: assembly context and component property
Replies: 2
Views: 661

Re: assembly context and component property

From the Help documentation for ActiveDoc: The currently active document cannot be the document that is being edited by the end-user. For example, you can use in-context editing to modify an assembly component. The currently active document is the assembly, but the edit target is the assembly compon...
by josh
Wed Jan 03, 2024 10:02 pm
Forum: SW General
Topic: Incorrect operation of the "Wrap" function with a large diameter of the rolling roller
Replies: 5
Views: 1033

Re: Incorrect operation of the "Wrap" function with a large diameter of the rolling roller

Also, if I'm reading your script correctly, you're just making 360 discrete cuts around the outside of the cylinder along a sine curve. This can be done in SW using a curve driven pattern along a wrapped scribe line.
by josh
Wed Jan 03, 2024 4:56 pm
Forum: SW General
Topic: Incorrect operation of the "Wrap" function with a large diameter of the rolling roller
Replies: 5
Views: 1033

Re: Incorrect operation of the "Wrap" function with a large diameter of the rolling roller

I'm curious what you intend to do with this model. If you intend for it to function as a barrel cam, it's not going to do well because the cutter (and therefore follower) path overlaps itself. You will not get good contact of the follower on the cam face through much of the rotation.
by josh
Mon Jan 01, 2024 3:17 pm
Forum: How To Questions
Topic: Mirror referencing error in newer version
Replies: 4
Views: 971

Re: Mirror referencing error in newer version

Did you intend to upload a file? Unless I'm just missing it...
by josh
Thu Dec 21, 2023 2:32 pm
Forum: API
Topic: Hiding Context toolbar
Replies: 7
Views: 888

Re: Hiding Context toolbar

Pretty sure SW doesn't have any way to block right-clicks.

Did you even look at Tools-Customize?
image.png
by josh
Wed Dec 20, 2023 6:00 pm
Forum: API
Topic: Hiding Context toolbar
Replies: 7
Views: 888

Re: Hiding Context toolbar

Do you mean an API command to change the setting under Tools-Customize such that it doesn't appear, or a command to dismiss it if it's currently shown on screen?
by josh
Tue Dec 19, 2023 7:23 am
Forum: API
Topic: how to get 3D coordinates of a sketch segment in the global coordinate system?
Replies: 1
Views: 623

Re: how to get 3D coordinates of a sketch segment in the global coordinate system?

Multiply the point by the inverse of the sketch's transform.
by josh
Mon Nov 20, 2023 8:36 am
Forum: How To Questions
Topic: Instance Properties in Solidworks?
Replies: 4
Views: 811

Re: Instance Properties in Solidworks?

The only way I can think of to attach extra information to individual instances of a component (other than the one "Component Reference" field of the Component Properties) would be to use Attributes. These are data packets that can be attached to stuff in SolidWorks, but only through the A...
by josh
Mon Nov 06, 2023 3:56 pm
Forum: How To Questions
Topic: Find specific property in drawing sheet format and change the content
Replies: 8
Views: 1076

Re: Find specified property in drawing sheet format and change the content

I believe he's looking for a "Find-Replace" in annotations, except that it works for notes linked to properties rather than just looking at the displayed text.
by josh
Mon Nov 06, 2023 11:00 am
Forum: How To Questions
Topic: Find specific property in drawing sheet format and change the content
Replies: 8
Views: 1076

Re: Find specified property in drawing sheet format and change the content

OK... You have asked if it is possible... Yes, it's possible.

Are you actually asking someone to do it for you?
by josh
Fri Nov 03, 2023 9:52 pm
Forum: SW General
Topic: use 4K TV for monitor
Replies: 20
Views: 3984

Re: use 4K TV for monitor

Umm, well, they're not quite a dime a dozen, but practically not too far off that.

by josh
Tue Oct 24, 2023 7:21 am
Forum: Macro Library
Topic: Macro for Toggling Transparency of Components
Replies: 20
Views: 1509

Re: Macro for Toggling Transparency of Components

There's no need for a macro. Toggle transparency is already a button in the UI. You can map the command to a shortcut key.
by josh
Wed Oct 18, 2023 9:25 am
Forum: API
Topic: Rotation of component in 3D space
Replies: 2
Views: 563

Re: Rotation of component in 3D space

When you apply a transform to a component, you are not moving it from its current position by the transform, you are applying that transform to the component relative to the origin. So yes, if you are wanting to rotate a component in its current position by certain values, you will need to multiply ...
by josh
Tue Oct 17, 2023 8:26 am
Forum: How To Questions
Topic: Assembly custom property linked to part configuration
Replies: 10
Views: 1183

Re: Assembly custom property linked to part configuration

You can write all the code in the VBA editor and then paste it to the property once it's working. There are just a couple of tweaks between the two that you can work out from the example you have. The example also iterates through all the components of the assembly. You just need to iterate until yo...
by josh
Mon Oct 16, 2023 2:04 pm
Forum: Job Listings
Topic: CAD Design for Aerospace project
Replies: 49
Views: 8547

Re: CAD Design for Aerospace project

Oh man, I missed my chance to get on the list! :twisted:
by josh
Thu Oct 12, 2023 12:09 pm
Forum: API
Topic: Export Macro Not Outputting Apperances
Replies: 5
Views: 668

Re: Export Macro Not Outputting Apperances

Do you mean 203 vs 214, or are you saying that you're unsuccessful actually saving out a file at all? If the first one, you have to use SetUserPreference[something] per the posts above prior to the SaveAs command. If the second one (you can't save a file at all), please add a debug.print statement t...
by josh
Thu Oct 12, 2023 8:55 am
Forum: API
Topic: How do I know that you are FLAT-PATTERN?
Replies: 22
Views: 4139

Re: How do I know that you are FLAT-PATTERN?

There is nothing special about the flat pattern configuration. I think SW does automatically create it when you create a sheet metal part, but as you’ve found the name depends on the language installed, just like other features get named based on the installed language. Additionally, there’s nothing...
by josh
Wed Oct 11, 2023 7:45 pm
Forum: How To Questions
Topic: Assembly custom property linked to part configuration
Replies: 10
Views: 1183

Re: Assembly custom property linked to part configuration

Well.... Since the subject has already been broached in your other thread... you could hide code in a custom property and execute it with an equation to find the ZPAINT component and copy its property value to the assembly.
by josh
Wed Oct 11, 2023 7:42 pm
Forum: How To Questions
Topic: Total number of componenets in Assembly
Replies: 4
Views: 771

Re: Total number of componenets in Assembly

Not too shabby to be mistaken for the great @artem :-D
by josh
Fri Sep 29, 2023 1:24 pm
Forum: API
Topic: how to eliminate subassemblies and their components from selection
Replies: 1
Views: 417

Re: how to eliminate subassemblies and their components from selection

Just check each component's parent to make sure it's null. If not, or selection is not a component, de-select. Sorry, not reall code. But something like this for i = selmgr.getselectedobjectounc(-1) to 1 step -1 if selmgr.selobjtype = component thne if not (component.getparent is nothing) then selmg...
by josh
Wed Sep 27, 2023 9:39 am
Forum: API
Topic: Unable to Select and Unsuppress Center of Mass Feature
Replies: 10
Views: 1000

Re: Unable to Select and Unsuppress Center of Mass Feature

Don't use SelectByID2. SelectByID is what the macro recorder uses, but it's almost always the wrong thing to use when you're actually writing a macro. In this case, you already have a pointer to the Feature object, which has a Select2 method. But, in fact, since you already have a pointer to the Fea...
by josh
Wed Sep 20, 2023 9:11 am
Forum: API
Topic: Component Mirror behaves differently from the UI
Replies: 5
Views: 639

Re: Component Mirror behaves differently from the UI

Yes, there’s a bunch of commands where the UI takes a look at your model and tries to guess what options you’re going to want to use, but there’s nothing in the API to invoke those calculations. One other example is the Mate command, where it analyzes your selections and tells you which mates are ap...
by josh
Thu Sep 14, 2023 5:33 pm
Forum: SW General
Topic: New for SW2024
Replies: 95
Views: 89535

Re: New for SW2024

So.... If you'll check the description of the "save as previous version" function, when you try to save to old version it will analyze your model and tell you what will be incompatible with the old version. You'll then have to delete or cancel and re-model. Similar to what Excel does, but ...
by josh
Wed Sep 13, 2023 11:42 pm
Forum: SW General
Topic: New for SW2024
Replies: 95
Views: 89535

Re: New for SW2024

Being able to pre-create a hole wizard sketch is huge, and should have been possible YEARS ago. My hole patterns use symmetry a LOT, and often with the origin. I wrote a macro that works like the mirror command, except that it will mirror about all selected construction lines... Or if none are selec...